- [HTTP request](https://developers.google.com/doubleclick-advertisers/rest/v5/cities/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/doubleclick-advertisers/rest/v5/cities/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/doubleclick-advertisers/rest/v5/cities/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/doubleclick-advertisers/rest/v5/cities/list#body.request_body)
- [Response body](https://developers.google.com/doubleclick-advertisers/rest/v5/cities/list#body.response_body)
  - [JSON representation](https://developers.google.com/doubleclick-advertisers/rest/v5/cities/list#body.CitiesListResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/doubleclick-advertisers/rest/v5/cities/list#body.aspect)
- [Try it!](https://developers.google.com/doubleclick-advertisers/rest/v5/cities/list#try-it)

Retrieves a list of cities, possibly filtered.

### HTTP request

`GET https://dfareporting.googleapis.com/dfareporting/v5/userprofiles/{profileId}/cities`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `profileId` | `string (https://developers.google.com/discovery/v1/type-format format)` User profile ID associated with this request. |

### Query parameters

| Parameters ||
|---|---|
| `namePrefix` | `string` Select only cities with names starting with this prefix. |
| `countryDartIds[]` | `string (https://developers.google.com/discovery/v1/type-format format)` Select only cities from these countries. |
| `dartIds[]` | `string (https://developers.google.com/discovery/v1/type-format format)` Select only cities with these DART IDs. |
| `regionDartIds[]` | `string (https://developers.google.com/discovery/v1/type-format format)` Select only cities from these regions. |

### Request body

The request body must be empty.

### Response body

City cities.list Response

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "kind": string, "cities": [ { object (`https://developers.google.com/doubleclick-advertisers/rest/v5/GeoTargeting#City`) } ] } ``` |

| Fields ||
|---|---|
| `kind` | `string` Identifies what kind of resource this is. Value: the fixed string `"dfareporting#citiesListResponse"`. |
| `cities[]` | ``object (`https://developers.google.com/doubleclick-advertisers/rest/v5/GeoTargeting#City`)`` City collection. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/dfatrafficking`